import 'react-native';
import React from 'react';
import renderer from 'react-test-renderer';
import Repo from '../Components/Repo';

beforeEach(() => {
    fetch.resetMocks();
  });

  /** Testing repo pages */
  test('renders correctly', () => {
    const dataFile = {
      iconUrl: "https://avatars.githubusercontent.com/u/42978932?u=b4a7beb2752bb6059cd13d12ca26d097767abf77&v=4",
      nameContent: null,
      userNameContent: null,
      bioContent: null,
      websiteLink: null,
      emailContent: null,
      createData: null,
      repoCount: 0,
      navi: { navigate: jest.fn() }
    }
    const tree = renderer.create(
      <Repo data={dataFile}/>
    ).toJSON();
    expect(tree).toMatchSnapshot();
  }, 70000);
